Update creative collection
curl --request PUT \
--url https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-collections/{collectionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"metadata": {}
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-collections/{collectionId}"
payload = {
"name": "<string>",
"description": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', metadata: {}})
};
fetch('https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-collections/{collectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"collection": {
"collection_id": "<string>",
"name": "<string>",
"member_count": 4503599627370495,
"creative_count": 4503599627370495,
"asset_count": 4503599627370495,
"attached_campaign_count": 4503599627370495,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"campaign_id": "<string>",
"advertiser_id": "<string>",
"brand_agent_id": "<string>",
"description": "<string>",
"metadata": {},
"members": [
{
"member_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"metadata": {},
"creative": {
"creative_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_count": 3,
"campaign_id": "<string>",
"format_id": {
"id": "<string>",
"agent_url": "<string>",
"width": 123,
"height": 123,
"duration_ms": 123
},
"format_kind": "<string>",
"template_id": "<string>",
"brand_domain": "<string>",
"preview_url": "<string>",
"requires_upgrade": true,
"reuse_count": 4503599627370495,
"sync_status": {
"synced": true,
"agent_count": 0
},
"target_format_ids": [
{
"id": "<string>",
"agent_url": "<string>",
"width": 123,
"height": 123,
"duration_ms": 123
}
],
"placements": [
{
"placement_id": "<string>",
"placement_name": "<string>"
}
]
}
}
],
"attachments": [
{
"campaign_id": "<string>",
"collection_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]
},
"added_count": 4503599627370495,
"removed_count": 4503599627370495,
"attached": {
"campaign_id": "<string>",
"collection_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {}
},
"assigned_count": 4503599627370495,
"legacy_members_excluded": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Creatives
Update creative collection
Update creative collection name, description, or metadata.
PUT
/
campaigns
/
{campaignId}
/
creative-collections
/
{collectionId}
Update creative collection
curl --request PUT \
--url https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-collections/{collectionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"metadata": {}
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-collections/{collectionId}"
payload = {
"name": "<string>",
"description": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', metadata: {}})
};
fetch('https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-collections/{collectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"collection": {
"collection_id": "<string>",
"name": "<string>",
"member_count": 4503599627370495,
"creative_count": 4503599627370495,
"asset_count": 4503599627370495,
"attached_campaign_count": 4503599627370495,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"campaign_id": "<string>",
"advertiser_id": "<string>",
"brand_agent_id": "<string>",
"description": "<string>",
"metadata": {},
"members": [
{
"member_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"metadata": {},
"creative": {
"creative_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_count": 3,
"campaign_id": "<string>",
"format_id": {
"id": "<string>",
"agent_url": "<string>",
"width": 123,
"height": 123,
"duration_ms": 123
},
"format_kind": "<string>",
"template_id": "<string>",
"brand_domain": "<string>",
"preview_url": "<string>",
"requires_upgrade": true,
"reuse_count": 4503599627370495,
"sync_status": {
"synced": true,
"agent_count": 0
},
"target_format_ids": [
{
"id": "<string>",
"agent_url": "<string>",
"width": 123,
"height": 123,
"duration_ms": 123
}
],
"placements": [
{
"placement_id": "<string>",
"placement_name": "<string>"
}
]
}
}
],
"attachments": [
{
"campaign_id": "<string>",
"collection_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]
},
"added_count": 4503599627370495,
"removed_count": 4503599627370495,
"attached": {
"campaign_id": "<string>",
"collection_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {}
},
"assigned_count": 4503599627370495,
"legacy_members_excluded": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Minimum string length:
1Minimum string length:
1Body
application/json
Response
Update creative collection
Mutation response for collection management.
A creative collection owned by an advertiser, campaign, or customer workspace.
Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Campaign attachment metadata for a creative collection.
Show child attributes
Show child attributes
Number of creative_manifest_campaign rows created by this operation.
Required range:
0 <= x <= 9007199254740991Creative members skipped because their manifest lacks format_kind (upgrade required).
Required range:
0 <= x <= 9007199254740991⌘I